Last modified: 2013-03-07 15:40:05 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 20831 - Non-ascii characters in article titles messed up on upgrade from 1.11 to 1.15.1
Non-ascii characters in article titles messed up on upgrade from 1.11 to 1.15.1
Status: RESOLVED WORKSFORME
Product: MediaWiki
Classification: Unclassified
Database (Other open bugs)
1.15.x
All Linux
: Low major (vote)
: ---
Assigned To: Nobody - You can work on this!
http://en.textopia.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-26 23:53 UTC by Anders S. Lovlie
Modified: 2013-03-07 15:40 UTC (History)
1 user (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Anders S. Lovlie 2009-09-26 23:53:44 UTC
I just upgraded my wiki project from 1.11 to 1.15.1. I did it by re-running the install script, since the command-line php client on my server is 4.3, not 5. Once the upgrade was done, all non-ascii characters in article titles where messed up. I did not conciously change the encoding for the database (didn't make a choice, since the install page says it is ignored on updates).

Furthermore, I notice that when I point my browser to the new mediawiki config folder, without having run the script first, the link that says "Please set up the wiki first" points to config/index.wiki, not to index.php. It also doesn't give a good error message if you by any chance have the permissions of the config folder set to 700 (which I have, because I am linking in a wiki family setup of this kind: http://www.steverumberg.com/wiki/index.php?title=WikiHelp_-_Method_Two )
Comment 1 Brion Vibber 2009-09-27 00:08:50 UTC
Try disabling $wgDBmysql5 in your LocalSettings.php; that should emulate the previous connection behavior. (Or else turn it on if it was off.)
Comment 2 Anders S. Lovlie 2009-09-27 00:46:47 UTC
(In reply to comment #1)
> Try disabling $wgDBmysql5 in your LocalSettings.php; that should emulate the
> previous connection behavior. (Or else turn it on if it was off.)
> 

Thanks for your suggestion! However I have a limited number of articles in my wiki (ca. 100), so when no-one responded to me on the irc channel, I just went in and fixed each messed up title manually. So now I don't think I can verify whether this fixes the issue... Just wanted to report it as a bug in case i helps the development.
Comment 3 Andre Klapper 2013-03-07 15:40:05 UTC
Assuming that this is similar to bug 38250, did you check which encoding your database is set to? If it's for example latin1 encoding but should be utf8 that might be the reason. And bug 29731 also might be similar.

It looks like you've fixed the problem in the meantime anyway, so I'm closing this as WORKSFORME for now. :-/

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links